Page MenuHomePhabricator

Global rename request notification emails should be sent with 'Notes'
Closed, ResolvedPublic

Description

If a global rename request is accepted/rejected from the queue then a email is sent without mentioning the reason. The notes column where we are providing the reason, should be included in the email. Currently there is no way for the user to know why the request got rejected. Also we are getting multiple rename request because of this.

Currently the following is the text that i am getting in the email, also unable to access this page from the rename requested account.

The request to rename "Shanmugambot" to "Dont Rename, Testing" could not be completed.

For more information, please visit this help page: <https://meta.wikimedia.org/wiki/Help:Unified_login#Frequently_asked_questions>. 
To discuss your rename request, you can post on this page: <https://meta.wikimedia.org/wiki/Talk:Steward_requests/Username_changes>. 
You must still log in to your current account name first.

Event Timeline

Shanmugamp7 raised the priority of this task from to High.
Shanmugamp7 updated the task description. (Show Details)
Shanmugamp7 added a project: SUL-Finalization.
Shanmugamp7 added subscribers: Shanmugamp7, Keegan.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 23 2015, 6:13 AM
Shanmugamp7 updated the task description. (Show Details)Apr 23 2015, 6:14 AM
Shanmugamp7 set Security to None.
Keegan added a subscriber: bd808.Apr 23 2015, 6:20 AM
Stryn added a subscriber: Stryn.Apr 23 2015, 11:19 AM
Vogone assigned this task to Legoktm.Apr 23 2015, 12:26 PM
Vogone raised the priority of this task from High to Unbreak Now!.
hoo lowered the priority of this task from Unbreak Now! to High.Apr 24 2015, 7:45 AM
hoo added a subscriber: hoo.

This sounds like it's done on purpose, needs clarification.

Legoktm removed Legoktm as the assignee of this task.Apr 28 2015, 5:39 PM

We need to send every user a mail and explaining why the request was declined. It would be helpful if the "Rason" can be send with the informations mail.

Xeno added a subscriber: Xeno.May 1 2015, 12:13 PM

We need to send every user a mail and explaining why the request was declined. It would be helpful if the "Rason" can be send with the informations mail.

Agreed, from a user experience perspective, not telling them why their rename is rejected is entirely unacceptable.

Please fix as soon as possible!

CentralAuth does actually provide the reason as the third parameter for the rejected mail message. This is not used in Meta's override: https://meta.wikimedia.org/wiki/MediaWiki:Globalrenamequeue-email-body-rejected

Change 208123 had a related patch set uploaded (by Legoktm):
Globalrenamequeue-email-body-rejected: add $3

https://gerrit.wikimedia.org/r/208123

Steinsplitter moved this task from Backlog to Review requested on the GlobalRename board.

Change 208123 merged by jenkins-bot:
Globalrenamequeue-email-body-rejected: add $3

https://gerrit.wikimedia.org/r/208123

Legoktm closed this task as Resolved.May 8 2015, 5:56 PM
Legoktm added a subscriber: Legoktm.
Keegan moved this task from Review requested to Closed on the GlobalRename board.Jun 7 2015, 1:46 AM